;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux tads2-mode package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The tads2-mode package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
			   (symbol-name flavor)
			   "/site-lisp/tads2-mode")))
  (when (file-directory-p package-dir)
    (setq load-path (cons package-dir load-path))
    (autoload 'tads-mode "tads2-mode" "TADS 2 editing mode." t)
    (setq auto-mode-alist
	  (cons (cons "\\.t$" 'tads-mode)
		auto-mode-alist))))
